Index: trunk/configure.ac
===================================================================
--- trunk/configure.ac	(revision 5478)
+++ trunk/configure.ac	(revision 5479)
@@ -24,6 +24,6 @@
 ## AUTOCONF INIT PHASE ##
 #########################
-AC_PREREQ(2.56)
-AC_INIT(orxonox, 0.3.1_alpha, [orxonox-dev at mail.datacore.ch])
+AC_PREREQ(2.59)
+AC_INIT([orxonox],[0.3.1_alpha],[orxonox-dev at mail.datacore.ch])
 
 ## Detect the canonical host and target build environment.
@@ -70,5 +70,5 @@
 AC_MSG_CHECKING([shared lib path])
 AC_ARG_WITH([shared-lib-path],
-        AC_HELP_STRING( [--with-shared-lib-path], [Tells the executable, where to look for the shared libraries.]),
+        AS_HELP_STRING(--with-shared-lib-path,Tells the executable, where to look for the shared libraries.),
          SHARED_LIB_PATH=$withval)
 if test x$SHARED_LIB_PATH != xno; then
@@ -85,5 +85,5 @@
 AC_MSG_CHECKING([if DEBUG-mode should be enabled])
 AC_ARG_ENABLE([debug],
-        AC_HELP_STRING( [--enable-debug], [compiles in debug mode. Lots of debug info about the game.]),
+        AS_HELP_STRING(--enable-debug,compiles in debug mode. Lots of debug info about the game.),
          DEBUG=$enableval)
 
@@ -108,5 +108,5 @@
 AC_MSG_CHECKING([if Modular-DEBUG-mode should be ebabled])
 AC_ARG_ENABLE([modular-debug],
-        AC_HELP_STRING( [--disable-modular-debug], [compiles in modular-debug mode, that logs differently on the many modules of orxonox.]),
+        AS_HELP_STRING(--disable-modular-debug,compiles in modular-debug mode, that logs differently on the many modules of orxonox.),
          MODULAR_DEBUG=$enableval)
 
@@ -123,6 +123,5 @@
 AC_MSG_CHECKING([if gtk should be enabled])
 AC_ARG_ENABLE([gtk],
-        AC_HELP_STRING( [--disable-gtk],
-        [Prevents GTK from being loaded]), [def_gtk=no], [def_gtk=yes])
+        AS_HELP_STRING(--disable-gtk,Prevents GTK from being loaded), [def_gtk=no], [def_gtk=yes])
 if test x$def_gtk = xyes; then
   echo "yes"
@@ -137,6 +136,5 @@
 AC_MSG_CHECKING([if libcURL should be enabled])
 AC_ARG_ENABLE([curl],
-        AC_HELP_STRING( [--disable-curl],
-        [Prevents libcURL from being loaded]), [def_curl=no], [def_curl=yes])
+        AS_HELP_STRING(--disable-curl,Prevents libcURL from being loaded), [def_curl=no], [def_curl=yes])
 if test x$def_curl = xyes; then
   echo "yes"
@@ -152,6 +150,5 @@
 AC_MSG_CHECKING([if the SubProjects should be built])
 AC_ARG_WITH([sub-projects],
-        AC_HELP_STRING( [--with-sub-projects],
-        [also builds the subProjects while make from srcdir]), [def_sub_projects=yes])
+        AS_HELP_STRING(--with-sub-projects,also builds the subProjects while make from srcdir), [def_sub_projects=yes])
 if test x$def_sub_projects = xyes; then
   echo "yes"
@@ -168,6 +165,5 @@
 AC_MSG_CHECKING([if Profiling should be enabled])
 AC_ARG_ENABLE([profile],
-        AC_HELP_STRING( [--enable-profile],
-        [builds orxonox with profiling support]), [def_profiling=yes])
+        AS_HELP_STRING(--enable-profile,builds orxonox with profiling support), [def_profiling=yes])
 if test x$def_profiling = xyes; then
   echo "yes"
@@ -184,6 +180,5 @@
 AC_MSG_CHECKING([if efence should be enabled])
 AC_ARG_ENABLE([efence],
-        AC_HELP_STRING( [--enable-efence],
-        [builds orxonox with efence support]), [def_efence=yes])
+        AS_HELP_STRING(--enable-efence,builds orxonox with efence support), [def_efence=yes])
 if test x$def_efence = xyes; then
   echo "yes"
@@ -199,6 +194,5 @@
 AC_MSG_CHECKING([if the Documentation should be build by default])
 AC_ARG_ENABLE([documentation],
-        AC_HELP_STRING( [--enable-documentation],
-        [also builds the sDocumentation while make from srcdir]), [def_documentation=yes])
+        AS_HELP_STRING(--enable-documentation,also builds the sDocumentation while make from srcdir), [def_documentation=yes])
 if test x$def_documentation = xyes; then
   echo "yes"
@@ -218,6 +212,5 @@
 AC_MSG_CHECKING([convenience flag for working at the taris in the ETH zurich])
 AC_ARG_WITH([tardis],
-        AC_HELP_STRING( [--with-tardis],
-        [sets all the necesary environment flags for linux-TARDIS boxes at the ETH Zurich]), [def_tardis=yes])
+        AS_HELP_STRING(--with-tardis,sets all the necesary environment flags for linux-TARDIS boxes at the ETH Zurich), [def_tardis=yes])
 if test x$def_tardis = xyes; then
   ARCH=i686-debian-linux3.1
